/**
 * Validation error description.
 */
export declare class ValidationError {
    /**
     * Object that was validated.
     */
    target: Object;
    /**
     * Object's property that haven't pass validation.
     */
    property: string;
    /**
     * Value that haven't pass a validation.
     */
    value: any;
    /**
     * Constraints that failed validation with error messages.
     */
    constraints: {
        [type: string]: string;
    };
    /**
     * Contains all nested validation errors of the property.
     */
    children: ValidationError[];
    /**
     *
     * @param shouldDecorate decorate the message with ANSI formatter escape codes for better readability
     * @param hasParent true when the error is a child of an another one
     * @param parentPath path as string to the parent of this property
     */
    toString(shouldDecorate?: boolean, hasParent?: boolean, parentPath?: string): string;
}
